Pidev.Presentation/Controllers/QQAController.cs
using Pidev.Domain.Entities;
using Pidev.Presentation.Models;
using Pidev.Service;
using System.Web.Mvc;
namespace Pidev.Presentation.Controllers
{
    public class QQAController : Controller
    {
        IAnswerService answerService;
        IQuestionService questionService;
        IQuizService quizService;
        public QQAController()
        {
            questionService = new QuestionService();
            quizService = new QuizService();
            answerService = new AnswerService();
        }
        
        public ActionResult Index()
        {
            return View();
        }
       
        [HttpGet]
        public ActionResult AddQ()
        {
            return View();
        }

        // POST: Questions/Create
        [HttpPost]
        public ActionResult AddQ(DoItInOneStep allInOne)
        {
            Quiz Quizz = new Quiz
            {
                QuizName = allInOne.QuizName
            };
            quizService.Add(Quizz);
            quizService.Commit();
            Session["Quiz"] = Quizz;
            Question Questionn = new Question
            {
                QuizID = quizService.GetQuizByText(allInOne.QuizName).QuizID,
                QuestionText = allInOne.QuestionText,
                choix1 = allInOne.choix1,
                choix2 = allInOne.choix2,
                choix3 = allInOne.choix3,
                choix4 = allInOne.choix4
            };
            questionService.Add(Questionn);
            questionService.Commit();

            Answer qq = new Answer
            {
                AnswerText = allInOne.AnswerQ,
                QuestionID = questionService.GetQuesByText(allInOne.QuestionText).QuestionID

            };
            answerService.Add(qq);
            answerService.Commit();
            TempData["MessageQ"] = "Quiz Added Successfully";
            return RedirectToAction("AddQ");
        }
        public ActionResult AddMoreQ(DoItInOneStep allInOne)
        {
            Quiz Quizz = Session["Quiz"] as Quiz;
            Question Questionn = new Question
            {
                QuizID = Quizz.QuizID,
                QuestionText = allInOne.QuestionText,
                choix1 = allInOne.choix1,
                choix2 = allInOne.choix2,
                choix3 = allInOne.choix3,
                choix4 = allInOne.choix4
            };
            questionService.Add(Questionn);
            questionService.Commit();

            Answer qq = new Answer
            {
                AnswerText = allInOne.AnswerQ,
                QuestionID = questionService.GetQuesByText(allInOne.QuestionText).QuestionID

            };
            answerService.Add(qq);
            answerService.Commit();
            TempData["MessageQues"] = "Question Added Successfully";
            return RedirectToAction("AddQ");
            
        }
       
    }
}

Pidev.Presentation/Controllers/QuizzController.cs
using OfficeOpenXml;
using Org.BouncyCastle.X509;
using Pidev.Domain.Entities;
using Pidev.Presentation.Models;
using Pidev.Service;
using System;
using System.Collections.Generic;
using System.Data.Entity;
using System.Drawing;
using System.Globalization;
using System.IO;
using System.Linq;
using System.Net;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Net.Mail;
using System.Text;
using System.Web;
using System.Web.Mvc;
using System.Web.Script.Serialization;

namespace Pidev.Presentation.Controllers
{
    public class QuizzController : Controller
    {
        IVideoService vss;
        IformationService formationService;
        IAnswerService answerService;
        IChoiceService choiceService;
        IQuestionService questionService;
        IQuizService quizService;
        IUsersService userService;
        IResultatService resultats;

        public QuizzController()
        {
            vss = new VideoService();
            formationService = new formationService();
            answerService = new AnswerService();
            choiceService = new ChoiceService();
            questionService = new QuestionService();
            quizService = new QuizService();
            userService = new UsersService();
            resultats = new ResultatService();
        }

        public ActionResult LogOff()
        {
            Session.Contents.RemoveAll();
            return RedirectToAction("GetUser");
        }
        
        public ActionResult Index()
        {
            UserVM userConnected = Session["UserConnected"] as UserVM;
            if (userConnected == null)
            {
                return RedirectToAction("GetUser");
            }
            return View();
        }

        [HttpGet]
        public ActionResult GetUser()
        {
            return View();
        }

        [HttpPost]
        public ActionResult GetUser(UserVM user)
        {
            if (ModelState.IsValid) { 
            Users user1 = new Users
            {
                FullName = user.FullName,
            };
            Users userCo = userService.GetUsersByFullName(user1);
           if (userCo != null) { 
            UserVM userConnected = new UserVM
            {
                FullName = userCo.FullName,
                ProfilImage = userCo.ProfilImage,
                UserID = userCo.UsersID,
                Email = userCo.Email
            };

                Session["UserConnected"] = userConnected;
                    if (userConnected.FullName.Equals("Gary Gary"))
                    {
                        return RedirectToAction("IndexFormation");
                    }
                    else { 
                return RedirectToAction("SelectQuizz");
                    }
                }
            }
            else
            {
                ViewBag.Msg = "Sorry : user is not found !!";
                return View();
             }
           
            return View();
        }
   
        [HttpGet]
        public ActionResult SelectQuizz()
        {
            UserVM userConnected = Session["UserConnected"] as UserVM;
            if (userConnected == null)
            {
                return RedirectToAction("GetUser");
            }
            List<QuizVM> maliste = new List<QuizVM>();
            IEnumerable<Quiz> quizs = quizService.GetMany();
            foreach (var quizz in quizs)
            {
                maliste.Add(new QuizVM
                {
                    QuizID = quizz.QuizID,
                    QuizName = quizz.QuizName,

                });
            }
            QuizVM quiz = new QuizVM();
            quiz.ListOfQuizz = maliste.Select(q => new SelectListItem
            {
                Text = q.QuizName,
                Value = q.QuizID.ToString()

            }).ToList();

            return View(quiz);
        }

        [HttpPost]
        public ActionResult SelectQuizz(QuizVM quiz)
        {
            UserVM UserConnected = Session["UserConnected"] as UserVM;
            var x = resultats.GetMany().ToList();
            Quiz quiz2 = quizService.Get(q => q.QuizID == quiz.QuizID);
            QuizVM quizSelected = new QuizVM
            {
                QuizName = quiz2.QuizName,
                QuizID = quiz2.QuizID,
                Questions = quiz.Questions
            };
            if (x.Count == 0)
            {
                Session["SelectedQuiz"] = quizSelected;
                return RedirectToAction("QuizTest");
            }
            foreach (var ii in x)
                {
                    if (ii.QuizID == quiz2.QuizID && ii.UsersID == UserConnected.UserID && quizSelected != null)
                    {
                    TempData["MessageI"] = "You have already passed this exam !";

                    return RedirectToAction("SelectQuizz");
                    
                    }
                }
            Session["SelectedQuiz"] = quizSelected;
            return RedirectToAction("QuizTest");

        }

        [HttpGet]
        public ActionResult QuizTest()
        {
            UserVM userConnected = Session["UserConnected"] as UserVM;
            if (userConnected == null)
            {
                return RedirectToAction("GetUser");
            }
            QuizVM quizSelected = Session["SelectedQuiz"] as QuizVM;
            List<QuestionVM> maliste = new List<QuestionVM>();
            IEnumerable<Question> ques = questionService.GetQuestionByQuiz(quizSelected.QuizID);
            if (quizSelected != null)
            {
                Quiz quiz = new Quiz
                {
                    QuizID = quizSelected.QuizID,
                    QuizName = quizSelected.QuizName,
                    Questions = quizSelected.Questions
                };

                ques = questionService.GetQuestionByQuiz(quiz.QuizID);

                foreach (var question in ques)
                {

                    maliste.Add(new QuestionVM
                    {
                        QuestionID = question.QuestionID,
                        QuestionText = question.QuestionText,
                        choix1 = question.choix1,
                        choix2 = question.choix2,
                        choix3 = question.choix3,
                        choix4 = question.choix4
                    });
                }

            }

            return View(maliste);

        }

        [HttpPost]
        public ActionResult QuizTest(List<QuizAnswersVM> resultQuiz)
        {
            foreach (QuizAnswersVM p in resultQuiz)
            {
                if (p.AnswerQ == null)
                {
                    p.AnswerQ = "dsqdsqdsq";
                }
            }
            List<QuizAnswersVM> finalResultQuiz = new List<QuizAnswersVM>();
            List<Answer> ans = new List<Answer>();
            foreach (QuizAnswersVM answser in resultQuiz)
            {
                ans.Add(new Answer
                {
                    QuestionID = answser.QuestionID,
                    AnswerText = answser.AnswerQ,
                    QuestionText = answser.QuestionText
                });
            }
            foreach (Answer a in ans)
            {
                string lol = a.AnswerText;
                Answer resultt = answerService.GetAnswerByQuestion(a.QuestionID);
                QuizAnswersVM bb = new QuizAnswersVM
                {
                    QuestionID = resultt.QuestionID,
                    AnswerQ = resultt.AnswerText,
                    isCorrect = (lol.ToLower().Equals(resultt.AnswerText.ToLower()))
                };
                finalResultQuiz.Add(bb);
            }
            return Json(new { result = finalResultQuiz }, JsonRequestBehavior.AllowGet);
        }
        
        [HttpPost]
        public ActionResult GetResult()
        {
            QuizVM quizSelected = Session["SelectedQuiz"] as QuizVM;
            UserVM userConnected = Session["UserConnected"] as UserVM;
            string res = Request["res"];
            string ok = "La note est de : " + res + " %";
            float k = Single.Parse(res);
            Resultat result = new Resultat
            {
                
                Note = ok,
                QuizID = quizSelected.QuizID,
                UsersID = userConnected.UserID,
                DatePassageExam = DateTime.Now,
                FullName = userConnected.FullName,
                NomQuiz=quizSelected.QuizName,
                NoteFloat=k
            };

            Session["SelectedRes"] = result;
            resultats.Add(result);
            resultats.Commit();
            return RedirectToAction("Finished");
        }

        [HttpGet]
        public ActionResult Finished()
        {
            UserVM userConnected = Session["UserConnected"] as UserVM;
            if (userConnected == null)
            {
                return RedirectToAction("GetUser");
            }
            QuizVM quizSelected = Session["SelectedQuiz"] as QuizVM;
            Resultat SelectedRes = Session["SelectedRes"] as Resultat;
            ViewBag.user = null;
            ViewBag.user1 = null;
            ViewBag.user2 = null;
            ViewBag.user3= null;
            ViewBag.user4 = null;
            if (SelectedRes.NoteFloat >= 75.0)
            {
                ViewBag.user = "Felicitation Mr/Mme : " + userConnected.FullName;
                ViewBag.user1 = "Vous avez obtenu un score supérieure à 70 % ";
                ViewBag.user2 = "Votre score est de : " + SelectedRes.NoteFloat ;
                ViewBag.user3  =  "Nom du quiz passé  :" + quizSelected.QuizName;
                ViewBag.user4 = "Vous avez reussi à passer cette formation !";
            }
            else if (SelectedRes.NoteFloat >= 50.0 && SelectedRes.NoteFloat < 75.0) {
                ViewBag.user = "Dommage Mr/Mme : " + userConnected.FullName;
                ViewBag.user1 = "Vous avez obtenu un score entre 50 % et 75 % ";

Pidev.Presentation/Views/Quizz/AddMoreQ.cshtml
@model Pidev.Presentation.Models.DoItInOneStep

@{
    Layout = null;
}
<link href="~/Content/toastr.css" rel="stylesheet" />
<script src="~/Scripts/toastr.js"></script>
@using (Html.BeginForm("AddMoreQ", "QQA"))
{
    @Html.AntiForgeryToken()
    <div class="col-md-12">
        <!-- general form elements -->
        <div class="card card-primary">
            <div class="card-header">
                <h3 class="card-title">Ajouter un quiz</h3>
            </div>

            <form role="form">
                @Html.ValidationSummary(true, "", new { @class = "text-danger" })
                <div class="card-body">
                    <div class="form-group">
                        @Html.LabelFor(model => model.QuestionText, htmlAttributes: new { @class = "control-label col-md-2" })
                        <div class="col-md-10">
                            @Html.EditorFor(model => model.QuestionText, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.QuestionText, "", new { @class = "text-danger" })
                        </div>
                    </div>
                    <div class="form-group">
                        @Html.LabelFor(model => model.choix1, htmlAttributes: new { @class = "control-label col-md-2" })
                        <div class="col-md-10">
                            @Html.EditorFor(model => model.choix1, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.choix1, "", new { @class = "text-danger" })
                        </div>
                    </div>
                    <div class="form-group">
                        @Html.LabelFor(model => model.choix2, htmlAttributes: new { @class = "control-label col-md-2" })
                        <div class="col-md-10">
                            @Html.EditorFor(model => model.choix2, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.choix2, "", new { @class = "text-danger" })
                        </div>
                    </div>

                    <div class="form-group">
                        @Html.LabelFor(model => model.choix3, htmlAttributes: new { @class = "control-label col-md-2" })
                        <div class="col-md-10">
                            @Html.EditorFor(model => model.choix3, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.choix3, "", new { @class = "text-danger" })
                        </div>
                    </div>
                    <div class="form-group">
                        @Html.LabelFor(model => model.choix4, htmlAttributes: new { @class = "control-label col-md-2" })
                        <div class="col-md-10">
                            @Html.EditorFor(model => model.choix4, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.choix4, "", new { @class = "text-danger" })
                        </div>
                    </div>
                    <div class="form-group">
                        @Html.LabelFor(model => model.AnswerQ, htmlAttributes: new { @class = "control-label col-md-2" })
                        <div class="col-md-10">
                            @Html.EditorFor(model => model.AnswerQ, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.AnswerQ, "", new { @class = "text-danger" })
                        </div>
                    </div>

                </div>
                <!-- /.card-body -->

                <div class="card-footer">
                    <button type="submit" id="123" class="btn btn-primary">Enregister</button>
                </div>
            </form>

        </div>

    </div>
}
@if (TempData["MessageQ"] != null)
{
    <script>
        $("#123").click(function () {
            toastr.success("@TempData["MessageQ"]");
        });
    </script>
}

Pidev.Presentation/Views/Quizz/GetData.cshtml
@{
    Layout = "~/Views/Shared/_Layout.cshtml";
}


<script src="~/Scripts/Charts/exporting.js"></script>
<script src="~/Scripts/Charts/highcharts.js"></script>

Pidev.Presentation/Views/Quizz/GetUser.cshtml
@model Pidev.Presentation.Models.UserVM


@{
    ViewBag.Title = "User";

}

<div class="panel panel-default" style="width: 37%; margin: 20% 32%;">
    <div class="panel-heading">Let's Begin  ^_^</div>
    <div class="panel-body">

        @using (Html.BeginForm("GetUser", "Quizz", FormMethod.Post))
        {
            @Html.ValidationSummary(true, "", new { @class = "text-danger" })
            @Html.EditorFor(c => c.FullName, new { htmlAttributes = new { @class = "form-control", @placeholder = "FullName ...", @style = "width:100%; margin-left: 56px;" } })<br />
            @Html.ValidationMessageFor(model => model.FullName, "", new { @class = "text-danger" })
            <button type="submit" id="Enter" class="btn btn-info btn-lg" style="width:100%;"><span class="glyphicon glyphicon-user"></span>   Enter</button>
        }

    </div>

    @if (ViewBag.Msg != null)
    {
        <div class="well well-sm well-danger"> @ViewBag.Msg </div>
    }
</div>

Pidev.Presentation/Views/Quizz/IndexFormationUser.cshtml
@{
    Layout = "~/Views/Shared/_templateFront.cshtml";
}
<br />
<span class="pull-right"><a href="@Url.Action("Map","Quizz")" style="font-weight: bold;" data-toggle="modal" data-target="#mymModal">Localisation des formations</a></span>
&nbsp;&nbsp;&nbsp;<a href="@Url.Action("GetEventsUser","Quizz")" style="font-weight: bold;">Date de passage des quizs</a>
<div class="modal fade" id="mymModal">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="container">
                <div class="row">
                    <div id="map-canvas" class="">
                        @{ Html.RenderPartial("Map");}
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<br />
<br />
@foreach (var p in ViewBag.result)
{
    <div class="card Search">
        <div class="card-header ui-sortable-handle" style="cursor: move;">
            <h3 class="card-title">
                <i class="fas fa-chart-pie mr-1"></i>
                <b><a href="">@p.nom_formation</a></b>
            </h3>
        </div><!-- /.card-header -->
        <div class="card-body">
            <div class="tab-content p-0">
                <div class="row">
                    <div class="col-md-10">
                        <p>
                            <b>Description :</b> @p.description_formation
                        </p>
                        <p>
                            <b>Niveau :</b> @p.niveau_formation
                        </p>
                        <p>
                            <b>Durée :</b> @p.duree_formation
                        </p>
                        <p>
                            <b>Prix :</b> @p.prix_formation
                        </p>
                    </div>
                    <div class="col-md-2">
                        <ul>
                            <a href="">Liste des employés</a>
                            @foreach (var item in ViewBag.users)
                            {
                                if (item.FormationID == p.id)
                                {

                                    <li>@item.FullName</li>

                                }
                            }
                        </ul>
                    </div>
                </div>
                @Html.ActionLink("Voir tutoriels", "ListVideo", new { id = p.id })
            </div><!-- /.card-body -->
        </div>
        <div class="card-footer">
        </div>
    </div>

}
<script>
    $(document).ready(function () {
        function Contains(text_one, text_two) {
            if (text_one.indexOf(text_two) != -1)
                return true;
        }
        $("#444").keyup(function () {
            var searchText = $("#444").val().toLowerCase();
            $(".Search").each(function () {
                if (!Contains($(this).text().toLowerCase(), searchText)) {
                    $(this).hide();
                }
                else {
                    $(this).show();
                }
            });
        });
    });
</script>

Pidev.Presentation/Views/Quizz/OnlineUsers.cshtml
@{ 
    Layout = null;
}
    <div class="row">
        <a href="javascript:void(0)" class="product-title">&nbsp;&nbsp;&nbsp;&nbsp;Nombre d'utilisateurs en ligne à cet instant :  <strong id="counter"></strong></a>
        <script src="~/Scripts/jquery-3.3.1.min.js"></script>
        <script src="~/Scripts/jquery.signalR-2.4.1.min.js"></script>
        <script src="~/signalr/hubs"></script>
        <script>
            $(function () {
                var chathub = $.connection.chatHub;
                $.connection.hub.start().done(function () {

                });
                chathub.client.updateCounter = function (count) {
                    $("#counter").text(count);
                }
            });
        </script>
    </div>

Pidev.Presentation/Views/Quizz/QuizTest.cshtml
@model IEnumerable<Pidev.Presentation.Models.QuestionVM>

@{
    int count = 1, countR = 0;
    var endTime = DateTime.UtcNow.AddSeconds(65);
    var timeRemaining = TimeSpan.FromTicks(endTime.Ticks - DateTime.UtcNow.Ticks).TotalSeconds;

}


<div class="container">

    <!-- User Info -->
    <div class="userConnected" style="border:2px dashed #cecaca; border-radius: 10px; margin-top: 3%;">

        @{ Html.RenderPartial("_UserInfo");}
        <br /><br />
        <div>Time Remaining : <span id="minRemaining"></span>:<span id="secRemaining"></span></div>

    </div>
    <br />
    @{ Html.RenderPartial("OnlineUsers");}
    <div class="Quiz">

        <h4 style="margin-top: 4%;"> <span class="label label-info">Questions :</span> </h4><br />
        @if (Model != null && Model.Any())
        {

            foreach (var question in Model)
            {

                <div class="BlockQ" style="border: 1px solid #bdbdbd; width: 75%; border-radius: 4px; margin-top: 40px; background-color: #f0ffff; padding: 8px;">

                    <div class="Question" style="padding: 2%;">
                        <span class="label label-warning"> @string.Format("{0}{1}.", "Q", count)</span>
                        <span id="@string.Format("{0}{1}", "ID_Q", count)" style="display:none;">@question.QuestionID</span>
                        <p style="display: inline; padding: 2%;" id="@string.Format("{0}{1}", "Q", count)">@question.QuestionText</p>
                    </div>

                    <div class="Choices" style="margin-left: 8%;">



                        <label class="radio-inline">
                            <input type="radio" name="@string.Format("{0}{1}", "inlineRadioOptions",count)" id="@string.Format("{0}{1}", "inlineRadio", countR)" value="@question.choix1" style="margin-left: -16px;"> @question.choix1
                        </label><br />

                        <label class="radio-inline">
                            <input type="radio" name="@string.Format("{0}{1}", "inlineRadioOptions",count)" id="@string.Format("{0}{1}", "inlineRadio", countR)" value="@question.choix2" style="margin-left: -16px;"> @question.choix2
                        </label><br />

                        <label class="radio-inline">
                            <input type="radio" name="@string.Format("{0}{1}", "inlineRadioOptions",count)" id="@string.Format("{0}{1}", "inlineRadio", countR)" value="@question.choix3" style="margin-left: -16px;"> @question.choix3
                        </label><br />

                        <label class="radio-inline">
                            <input type="radio" name="@string.Format("{0}{1}", "inlineRadioOptions",count)" id="@string.Format("{0}{1}", "inlineRadio", countR)" value="@question.choix4" style="margin-left: -16px;"> @question.choix4
                        </label><br />



                    </div> <!--END Choices-->
                    <div id="@string.Format("{0}{1}{2}", "Ans","Q", count)">


                    </div>

                </div> <!-- END BlockQ -->
                count++;

            }
            <span id="countQuections" style="display:none;">@count</span>
            <div class="alert alert-danger" role="alert" id="affichage" style="height:50px;width:75%;Display: none;"> <b> </b></div>

            <button type="button" id="SubmitQuiz" class="btn btn-default" style="margin-top: 10px;"><span class="glyphicon glyphicon-ok"></span>   Submit Quiz </button>
            <section>
                @using (Html.BeginForm("GetResult", "Quizz"))
                {
                    <input type="hidden" name="res" id="res" value="" />
                    <input type="submit" class="btn btn-default" id="okok" value="See result !" style="display:none;margin-top: 10px;" />
                }
            </section>
            <br /><br />




        }

    </div> <!-- END QUIZ -->

</div> <!-- END CONTAINER -->

@section scripts
{

    <script type="text/javascript">


        $(document).ready(function () {

            $('#SubmitQuiz').on('click', function () {

                //count Questions
                var sel = $('#countQuections').text();

                console.log(sel);

                var resultQuiz = [], countQuestion = parseInt(sel), question = {}, j = 1;
                for (var i = 1; i < countQuestion; i++) {
                    question = {
                        QuestionID: $('#ID_Q'+ i).text(),
                        QuestionText: $('#Q' + i).text(),
                        AnswerQ: $('input[name=inlineRadioOptions' + i + ']:checked').val()
                    }

                    resultQuiz.push(question);

                }

                $.ajax({

                    type: 'POST',
                    url: '@Url.Action("QuizTest", "Quizz")',
                    data: { resultQuiz },

                    success: function (response) {
                        var k = 0;
                        if (response.result.length > 0)
                        {

                            for (var i = 0; i < response.result.length; i++)
                            {
                                if(response.result[i].isCorrect == true )
                                {
                                    k++;

                                    $('#AnsQ' + j).html('<br/><div class="alert alert-success" role="alert"><span class="glyphicon glyphicon-thumbs-up" aria-hidden="true"></span> Correct answer</div>');
                                }
                                else
                                {

                                    $('#AnsQ' + j).html('<br/><div class="alert alert-danger" role="alert"> <span class="glyphicon glyphicon-thumbs-down" aria-hidden="true"></span> Incorrect answer - The Good Answer is <b>' + response.result[i].AnswerQ + '</b></div>');
                                }
                                j++;

                            }

                            var y = k * 100 / response.result.length;
                           document.getElementById('affichage').innerHTML = " Votre note est : " + y + " %";
                            document.getElementById('res').value = y;
                        }

                        else
                        {
                            alert("Something Wrong");
                        }
                    },
                    error: function (response) {

                    }
                });

                console.log(resultQuiz);

                $('#SubmitQuiz').hide();
                $('#okok').show();
                $('#affichage').show();
            });
        });

    </script>
    <script>
        var remSeconds = @timeRemaining;
        var secondsCounter = remSeconds % 60;
        function formatNumber(number){
            if (number < 10) return '0' + number;
            else return '' + number;
        }

        function startTick() {
            document.getElementById('secRemaining').innerText = formatNumber(secondsCounter);
                document.getElementById('minRemaining').innerText = formatNumber(parseInt(remSeconds/60));

            var _tick = setInterval(function () {
                if (remSeconds > 0) {
                    remSeconds = remSeconds - 1;
                    secondsCounter = secondsCounter - 1;
                    document.getElementById('secRemaining').innerText = formatNumber(secondsCounter);
                    document.getElementById('minRemaining').innerText = formatNumber(parseInt(remSeconds / 60));

                    if (secondsCounter == 0)
                        secondsCounter = 60;
                }
                else {

                    $('#SubmitQuiz').click();

                }
            }, 1000);

        }
        startTick();

    </script>
}

Pidev.Presentation/Views/Quizz/SelectQuizz.cshtml
@model Pidev.Presentation.Models.QuizVM

@{
    ViewBag.Title = "SelectQuizz";
}
<link href="~/Content/toastr.css" rel="stylesheet" />
<script src="~/Scripts/toastr.js"></script>
<div class="container">

    <div class="userConnected" style="border:2px dashed #cecaca; border-radius: 10px; margin-top: 3%;">

        @{ Html.RenderPartial("_UserInfo");}

    </div>


    <div class="SelQuiz">

        <div class="panel panel-default" style="width: 37%; margin: 20% 32%;">
            <div class="panel-heading">Select Your Quiz  ^_^</div>
            <div class="panel-body">

                @using (Html.BeginForm("SelectQuizz", "Quizz", FormMethod.Post))
                {
                    @Html.DropDownListFor(model => model.QuizID, Model.ListOfQuizz, new { @class = "form-control", @style = "margin-left:51px;" })<br />
                    <button type="submit" id="123" class="btn btn-success btn-lg" style="width:100%;"><span class="glyphicon glyphicon-ok"></span>   Let's GO </button>
                }

            </div>
        </div>

    </div>

</div>
@if (TempData["MessageC"] != null)
{
    <script>
        $("#123").click(function () {
            toastr.success("@TempData["Message"]");
        });
    </script>
}
@section scripts {
    <link href="~/Content/toastr.css" rel="stylesheet" />
    <script src="~/Scripts/toastr.js"></script>
    @if (TempData["MessageI"] != null)
    {
        <script type="text/javascript">toastr.error("@TempData["MessageI"]");</script>
    }

}